/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var FullAutohasAiModelsAndNotSelected = ko.observable(false),
        BulkGeneratehasAiModelsAndNotSelected = ko.observable(false),
        BulkGenerateSelectedAiModel = ko.observable(''),
        FullAutoSelectedAiModel = ko.observable('');

    return {
        FullAutohasAiModelsAndNotSelected: FullAutohasAiModelsAndNotSelected,
        BulkGeneratehasAiModelsAndNotSelected: BulkGeneratehasAiModelsAndNotSelected,
        BulkGenerateSelectedAiModel: BulkGenerateSelectedAiModel,
        FullAutoSelectedAiModel: FullAutoSelectedAiModel
    };
});
